REM Batch to update the configuration with the new point's data

:START
REM Test, if FreePoint is already running
if exist \bbs\semaphor\freepnt.bsy goto START
cd \bbs\fido\tools\CDP\offline

REM Create the semaphor
rem > \bbs\semaphor\freepnt.bsy

REM Since FreePoints needs a FREEPNT.TXT, I'm creating a dummy.
rem > FREEPNT.TXT

REM Add an entry to the logfile
echo . >> e:\bbs\log\freepnt.log
echo --- >> e:\bbs\log\freepnt.log
echo Config >> e:\bbs\log\freepnt.log

REM Now FreePoint is called with EINTRAG.CFG as config file and
REM EINTRAG.MAC as macro file
freepnt -c -m -cfg:eintrag.cfg -macro:eintrag.mac -l:e:\bbs\log\freepnt.log

REM If another point should have arrived by now, restart this batch
if exist ..\temp\*.CDP goto START

:ENDE
REM The dummy is no more needed
del FREEPNT.TXT

REM Delete the semaphor
del \bbs\semaphor\freepnt.bsy
