@ECHO OFF
REM
REM First of all let's wait 90 seconds, so that the config task is
REM not faster that the f'request task.
Wait 90
REM
C:
CD \XENIA\AUTOPNT\CFG
:AGAIN
..\FREEPNT -c -m -cfg:config.cfg -l:C:\XENIA\LOGS\FREEPNT.LOG
IF EXIST C:\XENIA\AUTOPNT\TMP\*.CDP GOTO AGAIN
REM
REM The reason for the loop: In FREEPNT.MAC *.CDP the input file has
REM been set to *.CDP, but FreePoint does not work with mulitple files
REM this way, but only with the first match.
REM This loop is to ensure that all files will be processed, even if
REM mulitiple files should have be uploaded simultanously.
REM
REM CONFIG.CFG can be found where it belongs to: CFG\XM_FE_FS.
REM CONFIG.CFG is the configuration for FreePoint that causes the point
REM to be configured with the real data on your node system.